/*
 Theme Name:   Vital Seedstore
 Theme URI:    http://vitalseeds.co.uk
 Description:  A child theme for Storefront.
 Author:       Tom Readings
 Author URI:   https//github.com/vitalseeds
 Template:     storefront
 Version:      1.0.12
 Text Domain:  vitalseeds
*/

:root {
	--heading-color: #668e32;
	--font-heavy: 600;
	--font-medium: 500;

	--light-grey: #e6ded0;
}

body {
	font-family: Sans-serif;
}

.site-header {
    padding-top: 0;
    padding-bottom: 0;
}

.woocommerce-active .site-header .site-header-cart {
	width: 15%;
}
.woocommerce-active .site-header .main-navigation {
	width: 80%;
	margin-right: 2%
}
.home.page:not(.page-template-template-homepage) .site-header, .home.post-type-archive-product .site-header {
    margin-bottom: 0;
}

footer .widget .widget-title, .widget .widgettitle {
    font-size: 1em;
    font-weight: 400;
	font-family: Sans-serif;
		text-align:center;
		font-size: 25px;
		text-shadow: 0px 0px 10px #000000;
}
.widget-area .widget a:not(.button) {
  text-decoration:none
}
.widget .widget-title, .widget .widgettitle {
    color: var(--heading-color);
}
.site-footer a:not(.button) {
    color: var(--heading-color);
    font-size: 15px;
    text-shadow: none;
}
#recent-posts-3 a {
	  color: var(--light-grey);
    font-size: 20px;

}
#nav_menu-2 a {
	  color: var(--light-grey);
    font-size: 20px;
}
#facebook-likebox-2 a {
    font-size: 1em;
    font-weight: var(--font-medium);
		color: var(--light-grey);
		font-size: 25px;
		text-shadow: 0px 0px 10px #000000;
}
#facebook-likebox-2 {
	margin-bottom: 1em;
	padding-bottom: 1em;
	border-bottom: 1px solid rgba(0,0,0,.05);
}
.jetpack-social-widget-list {
	text-align:center;
}
.widget {
    margin: 0;
}
.col-full {
	max-width: 1200px;
}
.site-footer {
  background-color: #54595f;
	color: var(--light-grey);
	font-family: "Lato", Sans-serif;

}

.footer-img {
	margin:auto;
}
.footer-widgets {
    padding-top: 0;
}
#mc_subheader {
    line-height: 1.25em;
    margin-bottom: 18px;
}
button, input[type="button"], input[type="reset"], input[type="submit"], .button, .added_to_cart, .widget a.button, .site-header-cart .widget_shopping_cart a.button {
    background-color: #d86b01;
    border-color: #d5d5d5;
    color: #fff;
}
button:hover, input[type="button"]:hover, input[type="reset"]:hover, input[type="submit"]:hover, .button:hover, .added_to_cart:hover, .widget a.button:hover, .site-header-cart .widget_shopping_cart a.button:hover {
    background-color: #e87b11;
    border-color: #e5e5e5;
    color: #fff;
}



.widget .widget-title, .widget .widgettitle {
	color: var(--heading-color);
  font-weight: 400;
}

a {
	color: var(--heading-color);
}
footer .widget .widget-title, .widget .widgettitle {
	color: var(--light-grey);
    font-size: 1em;
    font-weight: var(--font-medium);
		text-align:center;
		font-family: "Lato", Sans-serif;
		font-size: 25px;
		text-shadow: 0px 0px 10px #000000;
	  padding: 0 0 0.5em;
    margin-bottom: 0.5em;
}
.widget_nav_menu ul li::before {
    content: "";
}
.widget_recent_entries ul li::before, .widget_pages ul li::before {
    content: "";
}

.woocommerce-error, .woocommerce-info, .woocommerce-message, .woocommerce-noreviews, p.no-comments {
    background-color: #d86b01;
}
.footer-social-icons {
	text-align:center;
	max-width: 200px;
	width: 100%;
	display: block;
	margin: auto;
	padding: 0;
	list-style: none;
}
.footer-social-icon {
	width: 40%;
	border: 0;
	display: inline-block;
	margin: 3%;
	padding: 0;
	list-style: none;
}
.VS_sm-icon {
	max-width: 80px;
	width: 100%;
	margin:auto;
}

.storefront-breadcrumb {
	margin: 0
}

.vs-calendar {
	margin-bottom: 2em;
}

h2:target {
	/* background-color: #ffa; */
	/* font-weight: 700; */
	animation: highlight-heading 4s ease 0s 1 normal forwards;
}

@keyframes highlight-heading {
	0% {
		background-color: #ffa;
	}
	100% {
		background-color: transparent;
	}
}

.product_title {
	color: var(--heading-color);
	font-weight: 300;
}
h3.product-latin-name {
	font-style: italic;
	font-family: "Times New Roman", Times, serif;
	font-family: serif;
}
.woocommerce-products-header__title {
	color: var(--heading-color);
	font-weight: 300;
}
mark.count {
	display: none;
}
ul.products li.product h2 {
	font-weight: var(--font-heavy);
}
.woocommerce-demo-store .demo_store {
   background-color: var(--heading-color);
}

ul.products li.product {
	width: 46.411765%;
	float: left;
	margin-right: 5.8823529412%;
}

ul.products li.product:nth-of-type( 2n ) {
	margin-right: 0;
}

@media ( min-width: 768px ) {
	ul.products li.product:nth-of-type( 2n ) {
		margin-right: 5.8823529412%;
	}
}

.woocommerce ul.products li.product a img {
    border-radius: 15px 15px 15px 15px;
}

/* Mega Menu */

body.mega-menu-primary .site-header {
    padding-top: 0;
}
#mega-menu-wrap-primary #mega-menu-primary > li.mega-menu-item:first-child {
	float: left;
}
.main-navigation ul.nav-menu ul li .textwidget p,
.main-navigation ul.nav-menu ul li .textwidget a {
	font-size: 1rem;
}
.main-navigation ul.nav-menu ul li .textwidget p a {
	display: inline;
	padding: 0;
	font-weight: initial;
	color: var(--heading-color);
}
#mega-menu-wrap-primary #mega-menu-primary p {
  margin-bottom: 1.5rem;
}
#mega-menu-wrap-primary #mega-menu-primary li.mega-menu-megamenu > ul.mega-sub-menu > li.mega-menu-row .mega-menu-column > ul.mega-sub-menu > li.mega-menu-item.mega-menu-column-standard {
  padding: 0.6em 15px;
}

/* GROWING GUIDE */

/* flickity on by default */
.fl-carousel {
	margin-bottom: 3rem;
}
.fl-carousel:after {
	content: 'flickity';
	display: none;
  }
@media screen and ( min-width: 768px ) {
	/* disable Flickity for large devices */
	.fl-carousel:after {
	  content: '';
	}
	.fl-carousel {
		display: flex;
		/* flex-wrap: wrap;
		margin-right: -20px; */
	}
	.fl-carousel-cell {
		flex: 0 0 calc(25% - 20px);
		margin-right: 20px;
	}
	.fl-carousel-cell:last-child {
		margin-right: 0;
	}
  }

/* no margin bottom when Flickity enabled  */
.flickity-enabled.fl-carousel {
	margin-bottom: 3rem;
}

.growing-guide h2 {
	font-size: 1.4rem;
	margin-top: 2rem;
}

a.growers-guide-pdf-link {
	font-size: 0.8rem;
	margin-bottom: 1.8rem;
	/* float : right; */
}

/* Growing guide */
/* Styling the Disclosure Widgets */

details.growingguide {
	margin-bottom: 1rem;
}

/* correct storefront right float */
h3, div.product h3, .growingguide h3 {
	float: none;
	text-transform: none;
}

details.growingguide > summary {
	background-color: rgb(230, 230, 230);
	cursor: pointer;
	padding: .5rem 1rem;
	display: list-item;
}

/* details.growingguide > summary > * {
	display: inline;
} */

details.growingguide > div {
	border: 2px solid rgb(230, 230, 230);
	margin-top: 0;
	padding: 1rem;
}

/* Image thumbnails flexible grid */
/* eg sow by month listing */

div.vital-image-list ul {
	display: flex;
	flex-wrap: wrap;
	gap: 20px; /* Adjust spacing between items */
	list-style: none;
	padding: 0;
	margin: 0;
}

div.vital-image-list ul li {
	flex: 0 0 calc(16.66% - 20px); /* 6 items per row with spacing */
	box-sizing: border-box;
	text-align: center; /* Center-align content */
}

div.vital-image-list ul li img {
	width: 100%; /* Ensure the image fills its container */
	height: 100%; /* Ensure the image fills its container */
	object-fit: cover; /* Maintain aspect ratio and fill container */
}

div.vital-image-list ul li a {
	text-decoration: none;
	color: inherit; /* Inherit text color */
	display: block;
	margin-top: 10px; /* Space between image and title */
}

@media screen and (max-width: 1025px) {
	div.vital-image-list ul li {
		flex: 0 0 calc(33.33% - 20px); /* 3 items per row with spacing */
	}
}

@media screen and (max-width: 768px) {
	div.vital-image-list ul li {
		flex: 0 0 100%; /* Full width for each item */
	}
}

@media screen and (max-width: 300px) {
	div.vital-image-list ul li {
		flex: 0 0 100%; /* Full width for each item */
	}
}

figcaption {
	margin-top: 1rem;
}

/* Elementor hacks */
/* Restore previous behaviour of centred h3 headings in elementor content */
.elementor-widget-container h3 {
	width: inherit;
}